### Hierarchy

- FileComponent

### Implements

- OnDestroy

## Index

### Inputs

- fileItem
- translations

### Outputs

- remove

### Constructors

- constructor

### Properties

- fileItem
- i18n
- remove
- selectedFile
- translations

### Accessors

- isInvalidText

### Methods

- ngOnDestroy

## Constructors

### constructor

- new FileComponent(i18n: I18n): FileComponent

- - Defined in src/file-uploader/file.component.ts:73

  #### Parameters

  - ##### i18n: I18n

  #### Returns FileComponent

## Properties

### fileItem

@Input()
fileItem: FileItem

- Defined in src/file-uploader/file.component.ts:65

### Protected i18n

i18n: I18n

- Defined in src/file-uploader/file.component.ts:75

### remove

@Output()
remove: EventEmitter<Object> = new EventEmitter()

- Defined in src/file-uploader/file.component.ts:67

### selectedFile

@HostBinding({"hostPropertyName":"class.bx--file__selected-file"})
selectedFile: boolean = true

- Defined in src/file-uploader/file.component.ts:69

### translations

@Input()
translations: any = this.i18n.get().FILE_UPLOADER

- Defined in src/file-uploader/file.component.ts:61

## Accessors

### isInvalidText

@HostBinding({"hostPropertyName":"class.bx--file__selected-file--invalid"})
isInvalidText:

- Defined in src/file-uploader/file.component.ts:71

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/file-uploader/file.component.ts:77

  #### Returns void

Generated using TypeDoc